Subject: (IPng 6946) Re: An simple idea thrown into the air.

From: "Mitch Denny" <[email-masked]>
Date: Tue, 22 Dec 1998 09:41:56 +1000

Ye All,

A few people have suggested that I posted
comments which advocated changing the
IPv6 model at this late stage of development.

I would just like to refer those people
to my first post to this list where I made
this comments to Myron Szymanskyj.

> I think the arguement is when do you
> stop adding bits :)  Currently
> they are using 128bit addresses which
> provides a substansial yield.

This would suggest that I am in favour
of the current model no?

> Perhaps what they should look at is a
> 16bit part (or less) section in the header
> that can be used to define the size
> of the address space, and routers can
> inteligently handle each packet.

Now this is were it gets a little sticky,
it sounds like I am saying that we modify
the current model.  I guess the point
is that people should read a message
to the end before hitting the reply
button and flaming me.  The following
paragraph finializes the statement.

> Now that IPv6 is basically agreed upon
> (am I wrong?) I think we will have to
> wait for IPvX for that facility, and even
> then it may be deemed to computationally
> intensive for routers to handle and
> still maintain speed.  Not to mention
> other problems that may arrise.

Here I say that even if we could implement
variable length address fields it may be
computationally intensive, I also make
quite clear that I am not refering to 
IPv6 when I make these comments.

I realise that most of you did not reply
to my original message, many may have not
even read it. This is for those of you
who read later comments out of context
and therefor did not fully understand
me view on the matter.

So to sum up, I believe IPv6 is great,
I also believe that we will eventually
exhaust the address space, however
I believe that we do not need to think
of it now because down the track we
will want to build in extra features
to the protocol which will require it
to be redesigned.  Variable length 
addresses was one point I put forward
for a future specificaion, howeve I do
recognise the obvious problems with this,
for example expensive computations
on routers to handle it, and the mind
bender of routing addresses of variable
lengths into networks with different
size addresses.

I hope this clears up my point of view
that confused myself with Myron Szymanskyj
who suggested adding an additional bit
to the address space/ or header which
I personally thought was pointless at
this late stage.

Cheers,

Mitch Denny
[email-masked]
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------